API Docs
YMS API
Location/Level 1
POST Search Location with Paging

POST Search Locations with Paging

Introduction

Searches and retrieves yard locations with pagination support and multiple filter criteria. Allows filtering by location name, type, status, activities, assigned carriers and customers. Supports custom sorting by various fields. This endpoint is commonly used in location management dashboards, equipment placement interfaces, and operational planning screens where large location datasets need to be displayed efficiently with pagination controls.

API Request

POST /location/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "id": 0,
  "ids": [
    0
  ],
  "excludeLocationIds": [
    "string"
  ],
  "locationId": "string",
  "locationIds": [
    "string"
  ],
  "locationName": "string",
  "groupName": "string",
  "locationType": "DOCK",
  "locationTypes": [
    "DOCK"
  ],
  "locationStatus": "AVAILABLE",
  "locationStatuses": [
    "AVAILABLE"
  ],
  "enabled": true,
  "yardActivity": "DROP_OFF_EMPTY",
  "dockActivity": "LIVE_DELIVERY",
  "customerIds": [
    "string"
  ],
  "customerId": "string",
  "carrierIds": [
    "string"
  ],
  "carrierId": "string",
  "stagingLocationIds": [
    "string"
  ],
  "stagingLocationId": "string",
  "allowedTypes": [
    "TRACTOR_ONLY"
  ],
  "allowedType": "TRACTOR_ONLY",
  "notEqStatus": "AVAILABLE",
  "deleted": true,
  "currentEntryId": "string",
  "sequenceNo": 0,
  "companyCode": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyLocationQueryNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "locationId": "",
        "locationName": "",
        "locationType": "",
        "locationStatus": "",
        "assignedScore": 0,
        "enabled": false,
        "yardActivity": "",
        "dockActivity": "",
        "locationActivities": [
          ""
        ],
        "loadTaskType": "",
        "carrierIds": [
          ""
        ],
        "carrierNames": [
          ""
        ],
        "customerIds": [
          ""
        ],
        "customerNames": [
          ""
        ],
        "stagingLocationIds": [
          ""
        ],
        "stagingLocationNames": [
          ""
        ],
        "allowedTypes": [
          ""
        ],
        "companyCode": "",
        "activeTimeFrom": "",
        "activeTimeTo": "",
        "notes": "",
        "locationPhoto": "",
        "currentCarrierId": "",
        "currentTaskType": "",
        "currentDriverId": "",
        "currentEntryId": "",
        "arrivalTime": "",
        "zoneTag": "",
        "groupName": "",
        "createdTime": "",
        "updatedTime": "",
        "currentDriveName": "",
        "currentCarrierName": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "displayName": "",
        "iotResult": {
          "spo_id": "",
          "s3_image_url": "",
          "recognize_result": "",
          "recognize_item": {
            "src_x": 0,
            "src_y": 0,
            "dst_x": 0,
            "dst_y": 0,
            "class_id": 0,
            "class_name": "",
            "score": 0
          },
          "imageUrl": "",
          "area": "",
          "dockEvent": {
            "id": "",
            "name": "",
            "type": "",
            "status": "",
            "dockStatus": "",
            "spaceStatus": "",
            "entryId": "",
            "category": "",
            "equipmentNo": [
              ""
            ],
            "createdWhen": "",
            "updatedWhen": ""
          }
        },
        "linkedLocations": [
          {
            "locationId": "",
            "locationType": "",
            "linkId": "",
            "linkName": "",
            "linkType": "",
            "locationStatus": ""
          }
        ],
        "sequenceNo": 0,
        "deleted": false,
        "windowConfigs": [
          {
            "id": 0,
            "locationId": "",
            "windowId": 0,
            "windowStartTime": "",
            "windowEndTime": "",
            "locationActivity": [
              ""
            ],
            "carrierIds": [
              ""
            ],
            "customerIds": [
              ""
            ],
            "carrierNames": [
              ""
            ],
            "customerNames": [
              ""
            ]
          }
        ],
        "currentWindowLocationActivities": [
          ""
        ],
        "currentWindowCustomerIds": [
          ""
        ],
        "currentWindowCustomerNames": [
          ""
        ],
        "currentWindowCarrierIds": [
          ""
        ],
        "currentWindowCarrierNames": [
          ""
        ]
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultLocationView